### FileSelector

Category

Interactor

Function

Produces file names as outputs.

Syntax

Available only through the user interface.

Outputs

Name | Type | Description
--- | --- | ---
`filename` | string | full path name of selected file
`basename` | string | name of file (not including directory name)

Functional Details

This module can be used whenever a file name is needed (e.g., as input to the Import or ReadImage tools). It generates two output strings, both of which are file names:

The first (`filename`) is the complete path to the file.

The second (`basename`) is the file name, without the path. (For more information, see 7.1 , "Using Control Panels and Interactors" in IBM Visualization Data Explorer User's Guide.)

Notes:

1. `FileSelector` cannot be data driven.

2. The `FileSelector` dialog box can access only those files that are accessible to the user interface.

Example Visual Program

    MultipleDataSets.net

See Also

Integer, IntegerList, Scalar, ScalarList, Selector, String, StringList, Value, ValueList, Vector, VectorList

[ OpenDX Home at IBM | OpenDX.org ]